
U++ - Task #1691

Improve nightly tarballs

04/23/2017 08:44 PM - Miroslav Fidler

Status: New Start date: 04/23/2017

Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%

Category: General Estimated time: 0.00 hour

Target version: Release 2021.1 - NTH Spent time: 0.00 hour

Description

http://www.ultimatepp.org/forums/index.php?t=msg&#38;th=9969&#38;start=0x%x%

1) the builds as are now are using "uppbox/lpbuild2/mkfile". Could this be included into nightlies (and stables), so it doesn't have to be

pulled from github, which causes potential version mismatch? Or could this probably be completely replaced by another build mechanism

present? (I'm asking the later one simply because I don't know. If so, please enlighten me.)

2) could at least nightlies emit hash file(s), that could be grabbed for automatic checking? (Some sha256sums and sha512sums would be

nice. Similar to say < h**ps://download-installer.cdn.mozilla.net/pub/firefox/night

ly/latest-mozilla-central/firefox-55.0a1.en-US.linux-x86_64. checksums >, though a standalone file for each package and algo would be

preferred.)

3) could at least nightlies emit some latest version file? Simply a text file, that contains nothing more that latest release number for quick

and easy checking and also for automatic download and rebuild mechanism. (Similar to say

<h**ps://www.hiawatha-webserver.org/latest>.)

History

#1 - 04/24/2017 08:57 PM - Jan Dolinár

Ad 1) The "uppbox/lpbuild2/mkfile" (a.k.a. universal makefile) shouldn't be necessary anymore. Amrein did a good amount of work to bring the regular

makefile into usable state, so it should be possible to build any other packages with it. Also, the univeresal makefile is not properly maintained lately (due to

lack of time on my part :-( ), so there is big possibility of breakage.

#2 - 04/24/2017 10:37 PM - Zbigniew Rebacz

- Tracker changed from Bug to Task

- Category set to General

- Assignee set to Miroslav Fidler

- Target version set to Release 2017.2 - NTH

Categorized as a task...

#3 - 12/24/2017 06:36 PM - Zbigniew Rebacz

- Target version changed from Release 2017.2 - NTH to Release 2018.1 - NTH

#4 - 04/03/2018 10:00 PM - Zbigniew Rebacz

- Target version changed from Release 2018.1 - NTH to Release 2019.1 - NTH

#5 - 06/24/2019 01:29 AM - Zbigniew Rebacz

- Target version changed from Release 2019.1 - NTH to Release 2019.2 - NTH
#6 - 11/01/2019 11:21 AM - Zbigniew Rebacz

- Target version changed from Release 2019.2 - NTH to Release 2020.1 - NTH

#7 - 05/24/2020 12:48 PM - Zbigniew Rebacz

- Target version changed from Release 2020.1 - NTH to Release 2020.2 - NTH

#8 - 10/21/2020 11:34 PM - Zbigniew Rebacz

- Target version changed from Release 2020.2 - NTH to Release 2021.1 - NTH
